Subject: bug#31330: guix a2cfe broken after update from ~month old guix: util-linux-2.31.1: unbound variable

From: Martin Castillo <[email-masked]>
Date: Tue, 1 May 2018 14:38:01 +0200

Hi,

I updated guix (on guixsd) from a version from about beginning of april
to a2cfe.
After that, guix system (and other commands depending on it) give me a
backtrace.

Backtrace:
In ice-9/boot-9.scm:
   222:29 19 (map1 _)
   222:29 18 (map1 _)
   222:29 17 (map1 _)
   222:29 16 (map1 _)
   222:29 15 (map1 _)
   222:29 14 (map1 _)
   222:29 13 (map1 _)
   222:29 12 (map1 _)
   222:29 11 (map1 _)
   222:29 10 (map1 _)
   222:29  9 (map1 _)
   222:29  8 (map1 (((gnu system linux-initrd)) ((gnu system)) (#) …))
   222:17  7 (map1 (((gnu system)) ((gnu bootloader)) ((gnu # #)) # …))
  2788:17  6 (resolve-interface (gnu system) #:select _ #:hide _ # _ …)
  2714:10  5 (_ (gnu system) _ _ #:ensure _)
  2982:16  4 (try-module-autoload _ _)
   2312:4  3 (save-module-excursion #<procedure 1bc4e70 at ice-9/boo…>)
  3002:22  2 (_)
In unknown file:
           1 (primitive-load-path "gnu/system" #<procedure 2aed920 a…>)
In gnu/system.scm:
    508:0  0 (_)

gnu/system.scm:508:0: util-linux-2.31.1: unbound variable

I think it's because the older guix had a CVE fix for util-linux in
gnu/system.scm.

If that's true, what can be done to prevent this kind of breakage?

$ which guix
/run/current-system/profile/bin/guix

What's the best way to recover? I'm currently trying to build guix from
git and then reconfigure the system. Luckily I have a 'guix environment
guix -r envguix', because guix environment doesn't work neither (correct
grammar?).

Martin